Bug 225656 - update devel/maven to 3.5.2
Summary: update devel/maven to 3.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-03 23:34 UTC by Jonathan Chen
Modified: 2018-02-07 07:26 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments
maven 3.5.2 (5.50 KB, patch)
2018-02-03 23:34 UTC, Jonathan Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2018-02-03 23:34:02 UTC
Created attachment 190310 [details]
maven 3.5.2

Update devel/maven from 3.5.0 to 3.5.2
Comment 1 Kurt Jaeger freebsd_committer 2018-02-04 19:38:16 UTC
testbuild on current fails to build most recent openjdk8 as dependency.
I asked glewis@ if he has any ideas.
Comment 2 Jonathan Chen 2018-02-05 20:19:11 UTC
It builds on 11-STABLE, with latest openjdk8. What is the failure log on current?
Comment 3 Kurt Jaeger freebsd_committer 2018-02-05 20:39:07 UTC
The openjdk8 failure log is:

http://people.freebsd.org/~pi/logs/openjdk8-8.162.12.log
Comment 4 Kurt Jaeger freebsd_committer 2018-02-06 05:37:23 UTC
The openjdk8 build failure is due to some required llvm fix, see

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=225249

I have r328051 on the base system, r328013 in the jail and need to update
for openjdk8 to build. This will take a while.
Comment 5 commit-hook freebsd_committer 2018-02-07 07:25:46 UTC
A commit references this bug:

Author: pi
Date: Wed Feb  7 07:25:40 UTC 2018
New revision: 461124
URL: https://svnweb.freebsd.org/changeset/ports/461124

Log:
  devel/maven: update 3.5.0 -> 3.5.2

  PR:		225656
  Submitted by:	Jonathan Chen <jonc@chen.org.nz> (maintainer)
  Relnotes:	https://maven.apache.org/docs/3.5.2/release-notes.html

Changes:
  head/devel/maven/Makefile
  head/devel/maven/distinfo
  head/devel/maven/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2018-02-07 07:25:56 UTC
Committed, thanks!